<?php
/* Load the Placester Blueprint Theme Framework. */
require_once( trailingslashit( get_template_directory() ) . 'blueprint/blueprint.php' );
new Placester_Blueprint('2.1');

/**
 * 	Filter the default prefix used in 'pls_do_atomic' and 'pls_apply_atomic'.
 * 	All add_filters that hook into events set by pls_do_atomic will need to catch
 * 	the prefix_event_name for example:
 *
 *	blueprint will mean that you need to hook against blueprint_close_header, or blueprint_open_header
 */

// Introduce yourself to the class...
add_filter( 'pls_prefix', 'columbus_prefix' );
    function columbus_prefix() {
        return 'columbus';
}


// All our custom functions included for sanity. 

	// custom caption implementation
		include_once('custom/home-slideshow.php');

	// custom caption implementation
		include_once('custom/options.php');

	// custom featured listings list
		include_once('custom/home-listing-list.php');

	// custom sidebar search widget
		include_once('custom/sidebar-quick-search-widget.php');

	// custom sidebar recent posts widget
		include_once('custom/sidebar-recent-posts-widget.php');

		// custom sidebar recent posts widget
		include_once('custom/sidebar-listings-widget.php');

	// custom sidebar search form on listings page
		include_once('custom/listings-search-form.php');

	// custom sidebar ajax listings list on listings search
		include_once('custom/listings-search-list.php');

	// custom list for client profile
		include_once('custom/client-profile-search-list.php');

	// custom property details page.
		include_once('custom/property-details.php');

	// custom property details page featured listings.
		include_once('custom/property-details-featured-listings.php');

	// custom sidebar agent widget
		include_once('custom/sidebar-agent-widget.php');


// Remove Listings Sidebar
//
function columbus_remove_some_widgets(){
  unregister_sidebar( 'listings-search' );
  // wp_unregister_sidebar_widget( 'PLS_Floating_Map' );
}
add_action( 'widgets_init', 'columbus_remove_some_widgets' );


add_action('init', 'columbus_scripts');
function columbus_scripts () {
	wp_register_script('columbus_scripts', trailingslashit(get_template_directory_uri()) . "js/script.js", NULL, NULL, true);
	wp_enqueue_script('columbus_scripts');
}

add_action('init', 'columbus_add_stylesheet');
function columbus_add_stylesheet() {
  if( ! is_admin() ) {
    // add the columbus local stylesheet
	  wp_enqueue_style('columbus-style', get_stylesheet_uri() );
    }
	}

/**
 * Any modifications to its behavior (add/remove support for features, define 
 * constants etc.) must be hooked in 'after_setup_theme' with a priority of 10 if the
 * framework is a parent theme or a priority of 11 if the theme is a child theme. This 
 * allows the class to add or remove theme-supported features at the appropriate time, 
 * which is on the 'after_setup_theme' hook with a priority of 12.
 * 
 */
add_action( 'after_setup_theme', 'pls_setup', 10 );
function pls_setup() {
  add_theme_support( 'pls-js', array( 'chosen' => array( 'script' => true, 'style' => true ), 'jquery-ui' => array( 'script' => true, 'style' => true ) ) );
  add_theme_support( 'post-thumbnails' );
  
  remove_theme_support( 'pls-default-css' );
  remove_theme_support( 'pls-dragonfly' );
  
  // adding options
  add_theme_support( 'pls-footer-options' );
  add_theme_support( 'pls-widget-options' );
  add_theme_support( 'pls-routing-util-templates' );
}

// Remove Listings Sidebar
function remove_listings_search(){
  unregister_sidebar( 'listings-search' );
}
add_action( 'init', 'remove_listings_search' );

add_filter( 'wp_nav_menu_args', 'columbus_wp_nav_menu_args' );
function columbus_wp_nav_menu_args( $args = '' ) {
    // $args['show_home'] = true;
    // $args['depth'] = 1;
    return $args;
}

add_action('wp_head', 'columbus_meta_tags');
function columbus_meta_tags () {
	ob_start();
	?>
	<meta property="og:site_name" content="<?php echo get_bloginfo( 'name' ) ?>" />
	<meta property="og:title" content="<?php pls_document_title(); ?>" />
	<meta property="og:url" content="<?php echo $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI'] ?>" />
	<meta itemprop="name" content="<?php echo get_bloginfo( 'name' ) ?>">
	<?php
	echo ob_get_clean();
}
